Module javafx.graphics
Package javafx.scene.shape

# Class QuadCurveTo

java.lang.Object
javafx.scene.shape.PathElement
javafx.scene.shape.QuadCurveTo

public class QuadCurveTo extends PathElement
Creates a curved path element, defined by two new points, by drawing a Quadratic Bézier curve that intersects both the current coordinates and the specified coordinates `(x, y)`, using the specified point `(controlX, controlY)` as a Bézier control point. All coordinates are specified in double precision.

For more information on path elements see the `Path` and `PathElement` classes.

Example:

    import javafx.scene.shape.*;

    Path path = new Path();

    MoveTo moveTo = new MoveTo();
    moveTo.setX(0.0f);
    moveTo.setY(50.0f);

    QuadCurveTo quadTo = new QuadCurveTo();
    quadTo.setControlX(25.0f);
    quadTo.setControlY(0.0f);
    quadTo.setX(50.0f);
    quadTo.setY(50.0f);

    path.getElements().add(moveTo);
    path.getElements().add(cubicTo);

Since:
  JavaFX 2.0

## Property Summary

Properties
Type
Property
Description
`final DoubleProperty`
`controlX`
Defines the X coordinate of the quadratic control point.
`final DoubleProperty`
`controlY`
Defines the Y coordinate of the quadratic control point.
`final DoubleProperty`
`x`
Defines the X coordinate of the final end point.
`final DoubleProperty`
`y`
Defines the Y coordinate of the final end point.

### Properties inherited from class javafx.scene.shape.PathElement

`absolute`

## Constructor Summary

Constructors
Constructor
Description
`QuadCurveTo()`
Creates an empty instance of QuadCurveTo.
`QuadCurveTo(double controlX, double controlY, double x, double y)`
Creates a new instance of QuadCurveTo.

## Method Summary

Modifier and Type
Method
Description
`final DoubleProperty`
`controlXProperty()`
Defines the X coordinate of the quadratic control point.
`final DoubleProperty`
`controlYProperty()`
Defines the Y coordinate of the quadratic control point.
`final double`
`getControlX()`
Gets the value of the `controlX` property.
`final double`
`getControlY()`
Gets the value of the `controlY` property.
`final double`
`getX()`
Gets the value of the `x` property.
`final double`
`getY()`
Gets the value of the `y` property.
`final void`
`setControlX(double value)`
Sets the value of the `controlX` property.
`final void`
`setControlY(double value)`
Sets the value of the `controlY` property.
`final void`
`setX(double value)`
Sets the value of the `x` property.
`final void`
`setY(double value)`
Sets the value of the `y` property.
`String`
`toString()`
Returns a string representation of this `CubicCurveTo` object.
`final DoubleProperty`
`xProperty()`
Defines the X coordinate of the final end point.
`final DoubleProperty`
`yProperty()`
Defines the Y coordinate of the final end point.

### Methods inherited from class javafx.scene.shape.PathElement

`absoluteProperty, isAbsolute, setAbsolute`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Property Details

### controlX

public final DoubleProperty controlXProperty
Defines the X coordinate of the quadratic control point.

Default value:
  0.0
See Also:
  - `getControlX()`
  - `setControlX(double)`
  - `controlXProperty()`

### controlY

public final DoubleProperty controlYProperty
Defines the Y coordinate of the quadratic control point.

Default value:
  0.0
See Also:
  - `getControlY()`
  - `setControlY(double)`
  - `controlYProperty()`

### x

public final DoubleProperty xProperty
Defines the X coordinate of the final end point.

Default value:
  0.0
See Also:
  - `getX()`
  - `setX(double)`
  - `xProperty()`

### y

public final DoubleProperty yProperty
Defines the Y coordinate of the final end point.

Default value:
  0.0
See Also:
  - `getY()`
  - `setY(double)`
  - `yProperty()`

## Constructor Details

### QuadCurveTo

public QuadCurveTo()
Creates an empty instance of QuadCurveTo.

### QuadCurveTo

public QuadCurveTo(double controlX, double controlY, double x, double y)
Creates a new instance of QuadCurveTo.

Parameters:
  `controlX` - the X coordinate of the quadratic control point
  `controlY` - the Y coordinate of the quadratic control point
  `x` - the X coordinate of the final end point
  `y` - the Y coordinate of the final end point

## Method Details

### setControlX

public final void setControlX(double value)
Sets the value of the `controlX` property.

Property description:
  Defines the X coordinate of the quadratic control point.
Default value:
  0.0
Parameters:
  `value` - the value for the `controlX` property
See Also:
  - `getControlX()`
  - `controlXProperty()`

### getControlX

public final double getControlX()
Gets the value of the `controlX` property.

Property description:
  Defines the X coordinate of the quadratic control point.
Default value:
  0.0
Returns:
  the value of the `controlX` property
See Also:
  - `setControlX(double)`
  - `controlXProperty()`

### controlXProperty

public final DoubleProperty controlXProperty()
Defines the X coordinate of the quadratic control point.

Default value:
  0.0
Returns:
  the `controlX` property
See Also:
  - `getControlX()`
  - `setControlX(double)`

### setControlY

public final void setControlY(double value)
Sets the value of the `controlY` property.

Property description:
  Defines the Y coordinate of the quadratic control point.
Default value:
  0.0
Parameters:
  `value` - the value for the `controlY` property
See Also:
  - `getControlY()`
  - `controlYProperty()`

### getControlY

public final double getControlY()
Gets the value of the `controlY` property.

Property description:
  Defines the Y coordinate of the quadratic control point.
Default value:
  0.0
Returns:
  the value of the `controlY` property
See Also:
  - `setControlY(double)`
  - `controlYProperty()`

### controlYProperty

public final DoubleProperty controlYProperty()
Defines the Y coordinate of the quadratic control point.

Default value:
  0.0
Returns:
  the `controlY` property
See Also:
  - `getControlY()`
  - `setControlY(double)`

### setX

public final void setX(double value)
Sets the value of the `x` property.

Property description:
  Defines the X coordinate of the final end point.
Default value:
  0.0
Parameters:
  `value` - the value for the `x` property
See Also:
  - `getX()`
  - `xProperty()`

### getX

public final double getX()
Gets the value of the `x` property.

Property description:
  Defines the X coordinate of the final end point.
Default value:
  0.0
Returns:
  the value of the `x` property
See Also:
  - `setX(double)`
  - `xProperty()`

### xProperty

public final DoubleProperty xProperty()
Defines the X coordinate of the final end point.

Default value:
  0.0
Returns:
  the `x` property
See Also:
  - `getX()`
  - `setX(double)`

### setY

public final void setY(double value)
Sets the value of the `y` property.

Property description:
  Defines the Y coordinate of the final end point.
Default value:
  0.0
Parameters:
  `value` - the value for the `y` property
See Also:
  - `getY()`
  - `yProperty()`

### getY

public final double getY()
Gets the value of the `y` property.

Property description:
  Defines the Y coordinate of the final end point.
Default value:
  0.0
Returns:
  the value of the `y` property
See Also:
  - `setY(double)`
  - `yProperty()`

### yProperty

public final DoubleProperty yProperty()
Defines the Y coordinate of the final end point.

Default value:
  0.0
Returns:
  the `y` property
See Also:
  - `getY()`
  - `setY(double)`

### toString

public String toString()
Returns a string representation of this `CubicCurveTo` object.

Overrides:
  `toString` in class `Object`
Returns:
  a string representation of this `CubicCurveTo` object.